Bug 435623 - Review Request: php-pdb - PHP classes for manipulating Palm OS databases
Review Request: php-pdb - PHP classes for manipulating Palm OS databases
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-02 13:22 EST by Richard Fearn
Modified: 2008-05-04 12:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-04 12:27:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bugs.michael: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard Fearn 2008-03-02 13:22:55 EST
Spec URL: http://richardfearn.co.uk/files/fedora/php-pdb-1.3.4-1/php-pdb.spec
SRPM URL: http://richardfearn.co.uk/files/fedora/php-pdb-1.3.4-1/php-pdb-1.3.4-1.fc8.src.rpm
Description:

Hello,

I'm looking for a sponsor for my second package, php-pdb.

PHP-PDB is a set of PHP classes that manipulate Palm OS databases. It lets you
read, write, alter, and easily use data that is meant to be sent to or
retrieved from a handheld.

The SRPM builds using mock against Fedora 8 and development. The resulting RPMs are both rpmlint clean.
Comment 1 Michael Schwendt 2008-05-01 12:53:19 EDT
APPROVED

No run-time testing done.
Only the standard recommendation:

* Prefer "install -p ..." wherever installing pre-built files.

Plus I would move the "-m 644" to the beginning of the install args
and possibly add "-m 0755" when creating the directories.
Comment 2 Richard Fearn 2008-05-01 15:46:02 EDT
> * Prefer "install -p ..." wherever installing pre-built files.
> 
> Plus I would move the "-m 644" to the beginning of the install args
> and possibly add "-m 0755" when creating the directories.

Thanks for that. I'll put a new version on here soon.
Comment 3 Michael Schwendt 2008-05-01 16:00:22 EDT
No need to. :)
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure
Comment 4 Richard Fearn 2008-05-02 17:21:32 EDT
New Package CVS Request
=======================
Package Name: php-pdb
Short Description: PHP classes for manipulating Palm OS databases
Owners: richardfearn
Branches: F-9
InitialCC: 
Cvsextras Commits: yes

Thanks in advance to the CVS admins!
Comment 5 Kevin Fenzi 2008-05-02 18:24:35 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.